From a235286e351087c80d628543523db590d11c1f04 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 09 2017 15:58:10 +0000
Subject: [PATCH 716/1001] Convert the dummy widget


---

diff --git a/hubs/widgets/dummy/__init__.py b/hubs/widgets/dummy/__init__.py
new file mode 100644
index 0000000..738711a
--- /dev/null
+++ b/hubs/widgets/dummy/__init__.py
@@ -0,0 +1,29 @@
+from __future__ import unicode_literals
+
+from hubs import validators
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import Widget, WidgetView
+
+
+class Dummy(Widget):
+
+    name = "dummy"
+    position = "both"
+    arguments = [dict(
+        name="text",
+        label="Text",
+        default="Lorem ipsum dolor...",
+        validator=validators.text,
+        help="Some dummy text to display.",
+        )]
+
+
+class BaseView(WidgetView):
+
+    name = "root"
+    url_rules = ["/"]
+    template_name = "templates/dummy.html"
+    chrome = panel("This is a dummy widget")
+
+    def get_context(self, instance, *args, **kwargs):
+        return dict(text=instance.config["text"])

